<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class PositivePointsTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('positive_points')
            ->translateLabel()
            ->sortable()
            ->listWithLineBreaks()
            ->getStateUsing(fn ($record) => $record->positive_points ?? [])
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
